Summary: The OpenID extension for MediaWiki
Name: mediawiki-openid
Version: 0.9.0
Release: 6%{?dist}
License: GPLv2+
Group: Development/Tools
URL: http://www.mediawiki.org/wiki/Extension:OpenID
#Source0: http://svn.wikimedia.org/svnroot/mediawiki/trunk/extensions/OpenID/
Source0: MediaWiki-OpenID-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch
Requires: mediawiki
Requires: php-pear-Auth-OpenID >= 2.0.1

# This patch fixes the paths from Auth -> Auth_OpenID
Patch0: MediaWiki-OpenID-0.9.0-require-paths.patch

%description
This extension lets users log in with an OpenID instead of a username
and password. An OpenID is a special URL that people can use to log in
to a Web site. The extension also lets users who have an account on
the wiki log in to other OpenID-aware Web sites with their wiki user
page as their OpenID.

%prep

%setup -q -n MediaWiki-OpenID-%{version}
cat >> README.1st <<EOF
You must create a table in your MediaWiki database to hold the OpenID
URL mappings. The openid_table.sql script in
%{_datadir}/mediawiki/extensions/OpenID/ should do the
trick. Typically you do this using the mysql command-line client, like
so:

        mysql -h yourdbhost -u youradminuser -p yourwikidb < openid_table.sql

In your MediaWiki LocalSettings.php, add the following line some place
towards the bottom of the file:

        require_once("extensions/OpenID/OpenID.php");

Theoretically it should work out of the box, but you'll almost
definitely want to set the trust root and access controls.
EOF

# Fix the paths from Auth -> Auth_OpenID
%patch0 -p1


%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_datadir}/mediawiki/extensions/OpenID
cp -a *.php %{buildroot}%{_datadir}/mediawiki/extensions/OpenID/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README* *.sql
%{_datadir}/mediawiki/extensions/OpenID

%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sat Jun 11 2011 Kurt Seifried <kurt@seifried.org> - 0.9.0-1
- Updated to 0.9.0 (OpenID-MW1.16-r66255.tar.gz)

* Mon Mar 28 2010 Kurt Seifried <kurt@seifried.org> - 0.8.2-11
- Updated release and added dist

* Tue Mar 22 2010 Kurt Seifried <kurt@seifried.org> - 0.8.2-9.0.2
- Corrected file paths for Fedora

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.2-9.0.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.2-8.0.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Mar 29 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.8.2-6
- Update to 0.8.2.

* Tue Mar  4 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.7.0-5
- Move *.sql to %%doc.
- move part of %%description to a README.1st file.
- add empty %%build.

* Thu Nov 29 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.7.0-4
- Update to 0.7.0 (Peter Lemenkov (lemenkov@gmail.com)).

* Thu Feb  1 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 0.6.1-1
- Initial build.

